Upgrading Bean Validation and Hibernate Validator in WildFly 12

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrading Bean Validation and Hibernate Validator in WildFly 12

Guillaume Smet
Hi everyone,

(posted with the wrong address a few days ago and then stuck in the moderation queue, please discard the one in the moderation queue)

As mentioned by Gunnar in a previous thread, we would like to upgrade Bean Validation and Hibernate Validator in WildFly 12.

I created a PR before the holidays:
(there are some test failures on Linux but I don't think they are related to the PR as the other builds are passing)

BV 2.0 and HV 6.0 are highly compatible with the previous versions: we removed a few advanced features marked as experimental as they have now been included in Bean Validation in another form, but, apart from that, the upgrade should go smoothly for the users.

We have released HV 6.0 at the beginning of August and it has matured since then (we are at 6.0.7.Final).


Two important things to note:
- the groupId of Hibernate Validator has changed: it was org.hibernate, it is now org.hibernate.validator. I added the according banned dependencies in WildFly to be sure we don't ship both;
- in 6.0.6.Final, we reintroduced some API/configuration knobs that were removed in prior versions of 6.0. We deprecated them in 5.4 but as WildFly has never shipped 5.4, we thought it was better to keep them for 6.0 and remove them later (so that we have at least once WildFly version with the deprecation).

Apart from the new features brought by Bean Validation 2.0, we worked on reducing the memory footprint of HV and improving the performances so it would be nice to bring all that to our WildFly users.

Feedback welcome.
--
Guillaume

_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading Bean Validation and Hibernate Validator inWildFly 12

Tomaž Cerar-2

Hey,

 

https://github.com/wildfly/wildfly/pull/10725 needs a rebase...

 

--

tomaz

 

From: [hidden email]
Sent: četrtek, 04. januar 2018 13:18
To: [hidden email]
Subject: [wildfly-dev] Upgrading Bean Validation and Hibernate Validator inWildFly 12

 

Hi everyone,

(posted with the wrong address a few days ago and then stuck in the moderation queue, please discard the one in the moderation queue)

 

As mentioned by Gunnar in a previous thread, we would like to upgrade Bean Validation and Hibernate Validator in WildFly 12.

 

I created a PR before the holidays:

(there are some test failures on Linux but I don't think they are related to the PR as the other builds are passing)

 

BV 2.0 and HV 6.0 are highly compatible with the previous versions: we removed a few advanced features marked as experimental as they have now been included in Bean Validation in another form, but, apart from that, the upgrade should go smoothly for the users.

 

We have released HV 6.0 at the beginning of August and it has matured since then (we are at 6.0.7.Final).

 

 

Two important things to note:

- the groupId of Hibernate Validator has changed: it was org.hibernate, it is now org.hibernate.validator. I added the according banned dependencies in WildFly to be sure we don't ship both;

- in 6.0.6.Final, we reintroduced some API/configuration knobs that were removed in prior versions of 6.0. We deprecated them in 5.4 but as WildFly has never shipped 5.4, we thought it was better to keep them for 6.0 and remove them later (so that we have at least once WildFly version with the deprecation).

 

Apart from the new features brought by Bean Validation 2.0, we worked on reducing the memory footprint of HV and improving the performances so it would be nice to bring all that to our WildFly users.

 

Feedback welcome.

https://ssl.gstatic.com/ui/v1/icons/mail/images/cleardot.gif

--

Guillaume

 


_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading Bean Validation and Hibernate Validator inWildFly 12

Guillaume Smet
On Thu, Jan 4, 2018 at 2:34 PM, Tomaž Cerar <[hidden email]> wrote:

Ah yeah, sorry, didn't check before resending the email. It's fixed now.

--
Guillaume


_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev